﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;

namespace SL5_BOARD.Web.Model
{
    public class BOARD_MAIN
    {
        [Key]
        public int BOARD_MAIN_IDX { get; set; }
        public string BOARD_NAME { get; set; }
        public string BOARD_TYPE { get; set; }
        public bool MEMBER_CHECK { get; set; }
        public string BOARD_DESC { get; set; }
        public string BOARD_STATE { get; set; }
        public int BOARD_ORDER { get; set; }
        public DateTime REG_DT { get; set; }
        public int REG_IDX { get; set; }
        public DateTime? UPT_DT { get; set; }
        public int? UPT_IDX { get; set; }

        public virtual ObservableCollection<BOARD_LIST> BoardLists { get; set; }

        //[Association("MST_MEMBER_BOARD_MAIN", "MST_MEMBER_IDX", "MST_MEMBER_IDX", IsForeignKey = true)]
        //public virtual MST_MEMBER MstMember { get; set; }
        //public int MST_MEMBER_IDX { get; set; }

        public BOARD_MAIN()
        {
            BOARD_NAME = "신규 게시판";
            MEMBER_CHECK = false;
            BOARD_ORDER = 99;
            this.BoardLists = new ObservableCollection<BOARD_LIST>();
        }
    }

}