﻿using System;
using System.Windows.Data;

namespace SL5_BOARD.Converter
{
    public class BoardTypeConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string BoardType = value as string;
            string ReturnValue = "";

            switch (BoardType)
            { 
                case "NOR":
                    ReturnValue = "일반게시판";
                    break;
                case "PIC":
                    ReturnValue = "사진게시판";
                    break;
                case "ETC":
                    ReturnValue = "기타게시판";
                    break;
            }
            return ReturnValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string BoardTypeComboText = value as string;
            string ReturnValue = "";

            switch (BoardTypeComboText)
            {
                case "일반게시판":
                    ReturnValue = "NOR";
                    break;
                case "사진게시판PIC":
                    ReturnValue = "PIC";
                    break;
                case "기타게시판":
                    ReturnValue = "ETC";
                    break;
            }

            return ReturnValue;
        }
    }
}
