﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace SL5_BOARD.Converter
{
    public class ValueToBoolConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Nullable<bool> ReturnValue = false;
            if (value != null)
            {
                string val = value as string;

                if (parameter.ToString() == val.ToString())
                    ReturnValue = true;
            }
            return ReturnValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Nullable<bool> bol = value as Nullable<bool>;
            string ReturnValue = "";

            if (bol == true)
            {
                ReturnValue = parameter as string;
            }
            return ReturnValue;
        }
    }
}
