﻿using System.ComponentModel.Composition;
using System.Windows;
using System.Windows.Controls;
using SL5_BOARD.ViewModels;

namespace SL5_BOARD.Views
{
    public partial class BoardListView : UserControl
    {
        [Import(typeof(BoardListViewModel))]
        public BoardListViewModel BoardListVM { get; set; }

        public BoardListView()
        {
            InitializeComponent();

            CompositionInitializer.SatisfyImports(this);

            this.DataContext = BoardListVM;

        }

        /// <summary>
        /// 보기 버튼 이벤트 - 커맨드 엑션이 발생하지 않아서 직접 코딩
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            if (this.grdBoardList.SelectedItem != null)
            {
                BoardListVM.SelectChangedOperation(this.grdBoardList.SelectedItem);
            }
        }
    }
}
