﻿using System;
using System.ComponentModel.DataAnnotations;
using System.Collections.ObjectModel;


namespace SL5_BOARD.Web.Model
{
    public class MST_MEMBER
    {
        [Key]
        public int MST_MEMBER_IDX { get; set; }
        public string EMAIL { get; set; }
        public string PASSWORD { get; set; }
        public string MEMBER_NAME { get; set; }
        public string NICK_NAME { get; set; }
        public bool EMAIL_RECEIVE { get; set; }
        public string DESCRIPTION { get; set; }
        public DateTime LAST_LOGIN_DT { get; set; }
        public string JOB { get; set; }
        public string HOBBY { get; set; }
        public string INTEREST { get; set; }
        public int MEMBER_SCORE { get; set; }
        public string MEMBER_GRADE { get; set; }
        public string ETC { get; set; }
        public int STATUS { get; set; }
        public DateTime REG_DT { get; set; }
        public int REG_IDX { get; set; }
        public DateTime? UPT_DT { get; set; }
        public int? UPT_IDX { get; set; }

        public virtual ObservableCollection<BOARD_LIST> BoardLists { get; set; }
        //public virtual ObservableCollection<BOARD_REPLY> BoardReplies { get; set; }
        //public virtual ObservableCollection<BOARD_ATTACH> BoardAttachs { get; set; }

        //[Association("MST_MEMBER_BOARD_MAIN", "MST_MEMBER_IDX", "MST_MEMBER_IDX")]
        //public virtual ObservableCollection<BOARD_MAIN> BoardMains { get; set; }

        //this is problem
        //public virtual ObservableCollection<BOARD_LIST> BoardList { get; set; }

        public MST_MEMBER()
        {
            BoardLists = new ObservableCollection<BOARD_LIST>();
            //BoardReplies = new ObservableCollection<BOARD_REPLY>();
            //BoardAttachs = new ObservableCollection<BOARD_ATTACH>();
            //BoardMains = new ObservableCollection<BOARD_MAIN>();
            
            EMAIL_RECEIVE = true;
            LAST_LOGIN_DT = DateTime.Parse("2000-01-01");
            MEMBER_SCORE = 0;
            STATUS = 0;

            //BoardList = new ObservableCollection<BOARD_LIST>();
        }
    }
}